function [ax] = voiceprint(figfilename,data)
Fs = 22050;
figure('visible','off');
spectrogram(data,512,504,[],Fs,'power','MinThreshold',-50,'yaxis')
colormap("gray")
colorbar('off')
xlim([150 350])
ylim([2 10])
axis off
ax = gca;
exportgraphics(ax, figfilename)
close(gcf)
end
%% Copyright 2022 Mutsumi Saito